> For the complete documentation index, see [llms.txt](https://docs.autogon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autogon.ai/autogon-engine-studio/automated-deep-learning/auto-image-classification-a_dl_imc.md).

# Auto Image Classification (A\_DL\_IMC)

These models are designed to classify images into different categories, such as identifying the object or animal in the image

## Sample Request

Build an Auto Image Classifier

```json
{
    "project_id": 1,
    "parent_id": 7,
    "block_id": 8,
    "function_code": "A_DL_IMC_I",
    "args": {
    "hyp_params":{
            "max_trials": 1
        }
    }
}
```

## Building an Auto Image Classifier

## Automated Model Construction

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

#### Request Body

| Name                                             | Type   | Description                                           |
| ------------------------------------------------ | ------ | ----------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | The `id` of the current project                       |
| block\_id<mark style="color:red;">\*</mark>      | int    | The `id` of the current block                         |
| function\_code<mark style="color:red;">\*</mark> | string | The function code for current block                   |
| parent\_id<mark style="color:red;">\*</mark>     | int    | The `id` of the previous block                        |
| args<mark style="color:red;">\*</mark>           | object | Block arguments                                       |
| max\_trials                                      | int    | Maximum number of different models that will be tried |

{% tabs %}
{% tab title="200 Statemanagement object" %}

```json
{
    "status": "true",
    "message": {
        "id": 8,
        "project": 1,
        "block_id": 8,
        "parent_id": 7,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": "",
        "x_train_url": "",
        "y_train_url": "",
        "x_test_url": "",
        "y_test_url": "",
        "output": {}
    }
}
```

{% endtab %}
{% endtabs %}

## Sample Request

Compile and train the pre-built IMC model, using passed in Hyper Parameters

```json
{
    "project_id": 1,
    "parent_id": 8,
    "block_id": 9,
    "function_code": "A_DL_IMC_T",
    "args": {
        "model_name": "titanic_model",
        "hyp_params":{
            "epochs": 10
        }
    }
}
```

## Training an Auto Image Classifier

## Automated Model Training

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1`

#### Request Body

| Name                                             | Type   | Description                                         |
| ------------------------------------------------ | ------ | --------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | The `id` of the current project                     |
| hyp\_params                                      | object | hyper parameters for model compilation and training |
| parent\_id<mark style="color:red;">\*</mark>     | int    | The `id` of the previous block                      |
| block\_id<mark style="color:red;">\*</mark>      | int    | The `id` of the current block                       |
| function\_code<mark style="color:red;">\*</mark> |        | The function code for current block                 |
| args<mark style="color:red;">\*</mark>           | object | Block arguments                                     |
| model\_name<mark style="color:red;">\*</mark>    | String | The name the model would be saved with              |
| epochs                                           | int    | Number of iterations through the dataset            |

{% tabs %}
{% tab title="200: OK Statemanagement Object" %}

```json
{
    "status": "true",
    "message": {
        "id": 9,
        "project": 1,
        "block_id": 9,
        "parent_id": 8,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": "",
        "x_train_url": "",
        "y_train_url": "",
        "x_test_url": "",
        "y_test_url": "",
        "output": {}
    }
}
```

{% endtab %}
{% endtabs %}

## Predictions

Make predictions with the DL\_ANN Predict block

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
// Some code
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/automated-deep-learning/auto-image-classification-a_dl_imc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
